Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::CannotActivate Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::CannotActivate:

[legend]
Collaboration diagram for ImplementationRepository::CannotActivate:

[legend]
List of all members.

## Public Methods
| CannotActivate (void)
| CannotActivate (const CannotActivate &)
| ~CannotActivate (void)
CannotActivate & | operator= (const CannotActivate &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
| CannotActivate (const char *_tao_reason)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
CannotActivate * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
TAO_String_Manager | reason

## Constructor & Destructor Documentation

ImplementationRepository::CannotActivate::CannotActivate | ( | void |  | ) |

ImplementationRepository::CannotActivate::CannotActivate | ( | const CannotActivate & |  | ) |

ImplementationRepository::CannotActivate::~CannotActivate | ( | void |  | ) |

ImplementationRepository::CannotActivate::CannotActivate | ( | const char * | _tao_reason | ) |

## Member Function Documentation

CORBA::Exception * ImplementationRepository::CannotActivate::_alloc | ( | void |  | ) | `[static]`

ImplementationRepository::CannotActivate * ImplementationRepository::CannotActivate::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void ImplementationRepository::CannotActivate::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void ImplementationRepository::CannotActivate::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

virtual void ImplementationRepository::CannotActivate::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * ImplementationRepository::CannotActivate::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void ImplementationRepository::CannotActivate::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr ImplementationRepository::CannotActivate::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

CannotActivate& ImplementationRepository::CannotActivate::operator= | ( | const CannotActivate & |  | ) |

## Member Data Documentation

TAO_String_Manager ImplementationRepository::CannotActivate::reason

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp